%define ver    0.3.9.2
%define rel    20080723


Summary:       A Multicast Beacon
Name:          dbeacon
Version:       %{ver}
Release:       0.1.%{rel}svn%{?dist}%{?pext}
License:       GPL
Group:         Applications/Internet
Source0:       http://fivebits.net/files/%{name}/%{name}-%{ver}-%{rel}.tar.gz
Patch0:        %{name}-0.3.9.2-20080723-version.patch
URL:           http://fivebits.net/proj/%{name}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Hugo Santos <hugo@fivebits.net>


%description
Dbeacon is a Multicast Beacon written in C++. The main purpose of a
beacon is to monitor other beacons reachability and collect statistics
such as loss, delay and jitter between beacons. Dbeacon supports both
IPv4 and IPv6 multicast, collecting information via ASM and SSM.


%prep
%setup -q -n %{name}-%{ver}-%{rel}
%patch0 -p1

# Fix permissions
%{__chmod} -x contrib/*


%build
%{__make} %{?_smp_mflags} \
	CXXFLAGS="${RPM_OPT_FLAGS}"


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{name}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_mandir}/{man1,man5}

%{__install} -m 0755 %{name}  ${RPM_BUILD_ROOT}%{_bindir}

%{__install} -m 0644 docs/*.1 ${RPM_BUILD_ROOT}%{_mandir}/man1
%{__install} -m 0644 docs/*.5 ${RPM_BUILD_ROOT}%{_mandir}/man5

%{__cp}      -rpd    contrib  ${RPM_BUILD_ROOT}%{_datadir}/%{name}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changelog README
%doc docs/{FAQ,PROTOCOL,*.txt}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/matrix.conf.5*


%changelog
* Wed Jul 23 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.3.9.2-0.1.20080723svn
- New version (0.3.9.2-20080723)
- Rewritten for buildsystem

* Tue Oct 09 2007 peter.pramberger@member.fsf.org 0.3.9.1-2
- created
